from django.db import models
from django.forms import ModelForm

class Detail(models.Model):
    user = models.ForeignKey('User')
    name = models.CharField(max_length=150)
    description = models.CharField(max_length=300)
    text = models.CharField(blank=True, max_length=150)
    def __unicode__(self):
        return self.text

class User(models.Model):
    username = models.CharField(max_length=100)
    def __unicode__(self):
        return self.username
    def user_exists(self, user):
        return user == self.username

class UsernameForm(ModelForm):
    class Meta:
        model = User
        fields = ('username',)
