from mysite.twinfo.models import *

from django.contrib import admin

class twinfoAdmin(admin.ModelAdmin):
    fieldsets = [
        (None,               {'fields': ['user']}),
    ]
    list_display = ('name', 'user', 'description', 'text')
    list_filter = ['user']
    search_fields = ['user', 'name', 'description']

admin.site.register(Detail, twinfoAdmin)
admin.site.register(User)
